{% extends 'base.html.twig' %}

{% block title %}UserName index{% endblock %}

{% block body %}
<div class="container-lg">
<div class="col-12 bg-primary d-flex justify-content-center">
    <h1 class="text-center text-light">UserName index</h1>
    </div>

    <table class="table border border-primary">
        <thead>
            <tr>
                <th>Id</th>
                <th>First_name</th>
                <th>Last_name</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for user_name in user_names %}
            <tr>
                <td>{{ user_name.id }}</td>
                <td>{{ user_name.firstName }}</td>
                <td>{{ user_name.lastName }}</td>
                <td>
                    <a class="btn btn-primary" href="{{ path('app_username_show', {'id': user_name.id}) }}">show</a>
                    <a class="btn btn-danger" href="{{ path('app_username_edit', {'id': user_name.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    <div class="row">
    <a class="btn btn-danger mt-3" href="{{ path('app_username_new') }}">Create new</a>
    </div>
    </div>
{% endblock %}
